#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( schemas )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${BERKELEY_DB_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatun_oblique (kpart) ##########

tde_add_kpart( noatun_oblique AUTOMOC
  SOURCES
    base.cpp kbuffer.cpp query.cpp oblique.cpp tree.cpp file.cpp
    selector.cpp menu.cpp cmodule.cpp kdatacollection.cpp view.cpp
  LINK tdeio-shared noatun ${BERKELEY_DB_LIBS}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES oblique.plugin obliqueui.rc
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)
